%define		kdeappsver	21.08.1
%define		kframever	5.56.0
%define		qtver		5.9.0
%define		kaname		kolourpaint
Summary:	kolourpaint
Name:		ka5-%{kaname}
Version:	21.08.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications
Source0:	http://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	245e5219a8a13035c445b4f371516721
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5PrintSupport-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	ka5-libksane >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kdelibs4support-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-kguiaddons-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kiconthemes-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-ktextwidgets-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KolourPaint is a simple painting program to quickly create raster
images. It is useful as a touch-up tool and simple image editing
tasks.

Features: Support for drawing various shapes - lines, rectangles,
rounded rectangles, ovals and polygons.

%description -l pl.UTF-8
KolourPaint jest prostym programem do szybkiego tworzenia
rastrowych obrazków. Jest przydatny do retuszowania i prostych
zadań edycji obrazków.

Właściwości: Wsparcie dla rysowania różnych kształtów - linii,
prostokątów, zaokrąglonych prostokątów, owali i wieloboków.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kolourpaint
%{_libdir}/libkolourpaint_lgpl.so
%attr(755,root,root) %{_libdir}/libkolourpaint_lgpl.so.5
%{_desktopdir}/org.kde.kolourpaint.desktop
%{_iconsdir}/hicolor/16x16/apps/kolourpaint.png
%{_iconsdir}/hicolor/22x22/apps/kolourpaint.png
%{_iconsdir}/hicolor/32x32/apps/kolourpaint.png
%{_iconsdir}/hicolor/48x48/apps/kolourpaint.png
%{_iconsdir}/hicolor/scalable/apps/kolourpaint.svgz
%{_datadir}/kolourpaint
%{_datadir}/kxmlgui5/kolourpaint
%{_datadir}/metainfo/org.kde.kolourpaint.appdata.xml
%{_iconsdir}/hicolor/128x128/apps/kolourpaint.png
%changelog
* Wed Sep 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kolourpaint.git;a=log;h=master

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5cb7d70
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 95d7a04
- updated to 21.08.0

* Sun Aug 01 2021 Witold Filipczyk <witekfl@poczta.onet.pl> dfbba05
- pl description

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ee2ce87
- updated to 21.04.3

* Fri Jun 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8ca0627
- updated to 21.04.2

* Sat May 15 2021 Witold Filipczyk <witekfl@poczta.onet.pl> b341a34
- updated to 21.04.1

* Sat Apr 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a6946c7
- updated to 21.04.0

* Tue Mar 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> db792b8
- updated to 20.12.3

* Sun May 26 2019 Jan Rękorajski <baggins@pld-linux.org> 2601c54
- typo

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 3916aa2
- updated to 19.04.1
- packaged docs
- macro kframever

* Sun Jan 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> c2d6a44
- updated to 18.12.1; ninja

* Sat Jan 05 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 0ac0921
- updated to 18.12.0

